import baseAxios from '../index'

export function getLatestVersion(data: { os: 'ios' | 'android' }) {
  return baseAxios<{
    content: string
    id: number
    os_type: string
    publish_status: number
    update_at: number
    update_type: number /* 1 normal 2 force*/
    url: string
    version_name: string
    version_num: string
  }>({
    url: '/version/latest',
    method: 'get',
    params: data,
  })
}
